Package Details: freenet 0.7.5.1484-1

Git Clone URL: https://aur.archlinux.org/freenet.git (read-only, click to copy)
Package Base: freenet
Description: An encrypted network without censorship
Upstream URL: https://freenetproject.org
Keywords: anonymous censorship encrypted freenet network
Licenses: GPL2
Submitter: Xemertix
Maintainer: Thynix (skydrome)
Last Packager: skydrome
Votes: 180
Popularity: 0.34
First Submitted: 2009-04-17 16:46
Last Updated: 2019-11-10 06:04

Dependencies (7)

Required by (1)

Sources (12)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 11 ... Next › Last »

skydrome commented on 2016-02-04 06:49

you just have to uncomment _fred=#branch=next

tuxayo commented on 2016-02-03 15:03

@skydrome You mean compiling the PKGBUILD without any modification works?

TZ86 commented on 2016-02-03 07:25

Oh, and seems to it needs latest version of bc because with current one I've got "java.security.NoSuchAlgorithmException: no such algorithm: SHA256withECDDSA for provider BC"

There is updated PKGBUILD: http://pastebin.com/nbbDvArv

TZ86 commented on 2016-02-03 06:38

It fails on KeyUtils plugin building. I've fixed that by switching to fred master (just removed ${_fred} from fred source url).

skydrome commented on 2016-01-08 08:30

Compiling the latest is working fine for me right now, you can build a pre-release tag from one named here https://github.com/freenet/fred/tags
Official release shouldnt be too far away

tuxayo commented on 2016-01-07 22:35

I get an error when compiling Plugin KeyUtils:
https://github.com/freenet/plugin-KeyUtils/issues/13

Anybody else?

felixonmars commented on 2015-09-25 06:37

FYI, bcprov 1.52 has been added to [testing].

hexchain commented on 2015-09-25 06:28

Thank you, that's really quick!

skydrome commented on 2015-09-25 04:36

i recently change the build to include bcprov 1.52 directly into this package instead of relying on yet another aur package but forgot to point freenet to this new path. Its fixed now

Thynix commented on 2015-09-25 03:05

extra/bcprov is too old - it's 1.50, but Freenet requires 1.52.